Package fr.gouv.vitam.worker.core.plugin.signingInformation

# Enum Class SigningInformationEnum

java.lang.Object
java.lang.Enum<SigningInformationEnum>
fr.gouv.vitam.worker.core.plugin.signingInformation.SigningInformationEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<SigningInformationEnum>`, `Constable`

public enum SigningInformationEnum extends Enum<SigningInformationEnum>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FORBIDDEN_SIGNED_DOCUMENT`
  `MANDATORY_SIGNED_DOCUMENT`
  `MISSING_DECLARED_ADDITIONAL_PROOF`
  `MISSING_DECLARED_SIGNATURE`
  `MISSING_DECLARED_TIMESTAMP`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`
  `static SigningInformationEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SigningInformationEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MANDATORY_SIGNED_DOCUMENT

    public static final SigningInformationEnum MANDATORY_SIGNED_DOCUMENT

  - ### FORBIDDEN_SIGNED_DOCUMENT

    public static final SigningInformationEnum FORBIDDEN_SIGNED_DOCUMENT

  - ### MISSING_DECLARED_SIGNATURE

    public static final SigningInformationEnum MISSING_DECLARED_SIGNATURE

  - ### MISSING_DECLARED_TIMESTAMP

    public static final SigningInformationEnum MISSING_DECLARED_TIMESTAMP

  - ### MISSING_DECLARED_ADDITIONAL_PROOF

    public static final SigningInformationEnum MISSING_DECLARED_ADDITIONAL_PROOF

- ## Method Details

  - ### values

    public static SigningInformationEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SigningInformationEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getMessage

    public String getMessage()